org.apache.lucene.search

## Interface FieldCache.DoubleParser

All Superinterfaces:
  FieldCache.Parser

Enclosing interface:
  FieldCache

    public static interface FieldCache.DoubleParser
    extends FieldCache.Parser

Interface to parse doubles from document fields.

See Also:
  `FieldCache.getDoubles(AtomicReader, String, FieldCache.DoubleParser, boolean)`

### Method Summary

Methods
`double` `parseDouble(BytesRef term)` Return an double representation of this field's value.

### Methods inherited from interface org.apache.lucene.search.FieldCache.Parser

`termsEnum`

### Method Detail

#### parseDouble

    double parseDouble(BytesRef term)

Return an double representation of this field's value.